Subject: [PATCH 00/15] PowerMac i2c API conversions & windfarm updates

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 19 Apr 2012 18:16:41 +1000

The goal of this series is to convert a bulk of PowerMac i2c drivers
to the new "proper" i2c driver registration model. This series is
not complete in that there are still a few drivers to do but it
goes through the bulk of thermal control and some of the nastiest.

The biggest change is that windfarm is ported to generally use
the new model, and I've written a new set of windfarm modules to
take over from the old therm_pm72 (which was mostly unfixable)
on the PowerMac G5 AGP and Xserve G5 machines.

This had a bit of testing on a couple of PowerMac G5 AGP variants
but none at all on Xserve G5 since the one I have is unfortunately
dead.

If you want to help me test this, don't forget to disable therm_pm72,
and instead load windfarm_pm72 or windfarm_rm31 depending on your
machine (you can load or build-in the whole lot as well). As usual
windfarm don't properly auto-load yet, I still need to fix that.

So please test ! Especially if you have an XServe G5